curl -X POST "https://api.scanova.io/user-logs/user-activity/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "event_type": "qr_dynamic_created" }'
{
"qr_static_created": true,
"qr_dynamic_created": true,
"feature_password_protection": false,
"lead_list_created": false,
"onboarding_1_continue_clicked": true,
"qr_first_created": "2026-06-01T10:00:00Z",
"total_qr_codes": 24,
"total_shared_users": 3
}
سجلات المستخدم والنشاط
تعيين مؤشر معلم نشاط
POST /user-logs/user-activity/
POST
/
user-logs
/
user-activity
/
curl -X POST "https://api.scanova.io/user-logs/user-activity/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "event_type": "qr_dynamic_created" }'
{
"qr_static_created": true,
"qr_dynamic_created": true,
"feature_password_protection": false,
"lead_list_created": false,
"onboarding_1_continue_clicked": true,
"qr_first_created": "2026-06-01T10:00:00Z",
"total_qr_codes": 24,
"total_shared_users": 3
}
يحوّل مؤشر معلم استخدام ميزة إلى
المؤشرات أحادية الاتجاه — تعيين مؤشر يكون بالفعل
true، على مضيف واجهة برمجة التطبيقات للإدارة (api.scanova.io)، مع المصادقة باستخدام مفتاح واجهة برمجة التطبيقات للإدارة الخام الخاص بك.
POST https://api.scanova.io/user-logs/user-activity/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
مطلوب
اسم مؤشر المعلم المراد تعيينه، مثل
qr_dynamic_created. يجب أن يطابق حقل مؤشر حقيقيًا.curl -X POST "https://api.scanova.io/user-logs/user-activity/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "event_type": "qr_dynamic_created" }'
{
"qr_static_created": true,
"qr_dynamic_created": true,
"feature_password_protection": false,
"lead_list_created": false,
"onboarding_1_continue_clicked": true,
"qr_first_created": "2026-06-01T10:00:00Z",
"total_qr_codes": 24,
"total_shared_users": 3
}
true عملية لا تأثير لها وغير ضارة. يُعاد 400 إذا لم يطابق event_type أي حقل مؤشر معروف:
400
{ "event_type": "\"not_a_real_flag\" is not a recognized activity event." }
ذو صلة
- جلب مؤشرات معالم النشاط — رؤية الحالة الحالية الكاملة.
- نظرة عامة على واجهة برمجة التطبيقات للإدارة — مخطط المصادقة وقواعد الحصة المطبّقة على هذا الطرف.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
200 - application/json
Flag updated.
هل كانت هذه الصفحة مفيدة؟